# DataExchange
TKSTEP
StepAP203

# StepAP203_HArray1OfSpecifiedItem Class Reference

`#include <StepAP203_HArray1OfSpecifiedItem.hxx>`

## Public Member Functions

Standard_EXPORT | StepAP203_HArray1OfSpecifiedItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP203_HArray1OfSpecifiedItem (const Standard_Integer Low, const Standard_Integer Up, const StepAP203_SpecifiedItem &V)
Standard_EXPORT void | Init (const StepAP203_SpecifiedItem &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_SpecifiedItem &Value)
const StepAP203_SpecifiedItem & | Value (const Standard_Integer Index) const
StepAP203_SpecifiedItem & | ChangeValue (const Standard_Integer Index)
const StepAP203_Array1OfSpecifiedItem & | Array1 () const
StepAP203_Array1OfSpecifiedItem & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepAP203_Array1OfSpecifiedItem | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_HArray1OfSpecifiedItem::StepAP203_HArray1OfSpecifiedItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP203_HArray1OfSpecifiedItem::StepAP203_HArray1OfSpecifiedItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepAP203_SpecifiedItem & | V
| ) |

## Member Function Documentation

const StepAP203_Array1OfSpecifiedItem& StepAP203_HArray1OfSpecifiedItem::Array1 | ( |  | ) | const

StepAP203_Array1OfSpecifiedItem& StepAP203_HArray1OfSpecifiedItem::ChangeArray1 | ( |  | ) |

StepAP203_SpecifiedItem& StepAP203_HArray1OfSpecifiedItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepAP203_HArray1OfSpecifiedItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepAP203_HArray1OfSpecifiedItem::Init | ( | const StepAP203_SpecifiedItem & | V | ) |

Standard_Integer StepAP203_HArray1OfSpecifiedItem::Length | ( |  | ) | const

Standard_Integer StepAP203_HArray1OfSpecifiedItem::Lower | ( |  | ) | const

void StepAP203_HArray1OfSpecifiedItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_SpecifiedItem & | Value
| ) |

Standard_Integer StepAP203_HArray1OfSpecifiedItem::Upper | ( |  | ) | const

const StepAP203_SpecifiedItem& StepAP203_HArray1OfSpecifiedItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepAP203_Array1OfSpecifiedItem StepAP203_HArray1OfSpecifiedItem::myArray `[private]`

The documentation for this class was generated from the following file:

- StepAP203_HArray1OfSpecifiedItem.hxx